
float strength=1.0;
vec4 horBlur(sampler2D tex,vec2 newTCoord,float divisor)
{
 vec4 value = texture2D(tex,newTCoord);
 value+=texture2D(tex,vec2(newTCoord.x+0.0078125*strength,newTCoord.y))*0.8521;
 value+=texture2D(tex,vec2(newTCoord.x+0.015625*strength,newTCoord.y))*0.5273;
 value+=texture2D(tex,vec2(newTCoord.x+0.0234375*strength,newTCoord.y))*0.2369;
 
 value+=texture2D(tex,vec2(newTCoord.x-0.0078125*strength,newTCoord.y))*0.8521;
 value+=texture2D(tex,vec2(newTCoord.x-0.015625*strength,newTCoord.y))*0.5273;
 value+=texture2D(tex,vec2(newTCoord.x-0.0234375*strength,newTCoord.y))*0.2369;
 
 return value/divisor;
 
}

vec4 horRadBlur(sampler2D tex,vec2 newTCoord,float divisor)
{
 vec4 value = texture2D(tex,newTCoord);
 vec2 dir = vec2(newTCoord) -vec2(0.5,0.4);
 value+=texture2D(tex,newTCoord + dir*0.15);
 value+=texture2D(tex,newTCoord + dir*0.3);
 value+=texture2D(tex,newTCoord + dir*0.45);
 
 value+=texture2D(tex,newTCoord + dir*0.6);
 value+=texture2D(tex,newTCoord + dir*0.75);
 value+=texture2D(tex,newTCoord + dir*0.9);
 
 return value/divisor;
 
}